
%define qtmajor 5
%define qtminor 10
%define qtsubminor 0

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqtscxml %mklibname qt5scxml %qtmajor
%define libqtscxml_d %mklibname qt5scxml -d

%define qttarballdir qtscxml-everywhere-src-%{qtversion}

Name: qtscxml5
Version: 5.10.0
Release: %mkrel 1
Summary: Qt GUI toolkit
Group: System/Libraries
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt.io
Source0: http://download.qt.io/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel = %version
BuildRequires: qtcore5-devel
BuildRequires: qtqml5-devel
#Branch Patchs

#Trunk Patchs

#Patch from Others

%description
The QtScXML module provides classes for displaying and creating SVG files.

#------------------------------------------------------------------------------

%package -n %{libqtscxml}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Obsoletes: %{_lib}qtscxml5
Provides:  %{_lib}qtscxml5 = %version

%description -n %{libqtscxml}
Qt%{qtmajor} Component Library.

Runtime integration of SCXML models into Qt code

%files -n %{libqtscxml}
%{_qt5_libdir}/libQt5Scxml.so.%{qtmajor}*
# Move in an other package ?
#%{_qt5_plugindir}/iconengines/libqsvgicon.so
#%{_qt5_plugindir}/imageformats/libqsvg.so

#------------------------------------------------------------------------------

%package -n %{libqtscxml_d}
Summary: Devel files needed to build apps based on QtScXML
Group:    Development/Libraries
Requires: %{libqtscxml} = %version
Provides: libqtscxml5-devel = %version
Provides: libqt5scxml-devel = %version
Provides: qtscxml5-devel = %version
Provides: qt5scxml-devel = %version

Provides: libqtscxml5-private-devel = %version
Provides: libqt5scxml-private-devel = %version
Provides: qtscxml5-private-devel = %version
Provides: qt5scxml-private-devel = %version

%description -n %{libqtscxml_d}
Devel files needed to build apps based on QtScXML.

%files -n %{libqtscxml_d}
%{_qt5_libdir}/libQt5Scxml.prl
%{_qt5_libdir}/libQt5Scxml.so
%{_qt5_libdir}/pkgconfig/Qt5Scxml.pc
%{_qt5_libdir}/cmake/Qt5Scxml
%{_qt5_datadir}/mkspecs/modules/qt_lib_scxml.pri
%{_qt5_includedir}/QtScxml
%{_qt5_datadir}/mkspecs/modules/qt_lib_scxml_private.pri

#------------------------------------------------------------------------------

%package -n qtscxml5-qscxmlc
Summary:	qscxmlc utility and qml modules
Group:		Development/Libraries
Requires:	%{libqtscxml} = %version

%description -n qtscxml5-qscxmlc
qscxmlc utility and qml modules

%files -n qtscxml5-qscxmlc
%{_qt5_bindir}/qscxmlc
%{_qt5_datadir}/mkspecs/features/qscxmlc.prf
%{_qt5_datadir}/qml/QtScxml

%prep
%setup -q -n qtscxml-everywhere-src-%{qtversion}

rm -frv examples

%build
%qmake_qt5

%make
#------------------------------------------------------------------------------

%install
rm -rf %buildroot
%qmakeinstall_std

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
rm -f %{buildroot}%{_qt5_libdir}/lib*.a
rm -rf %{buildroot}/%_qt5_examplesdir


%changelog
* Sun Dec 24 2017 ghostbunny <ghostbunny at gmx dot de> 5.10.0-1pclos2017
- initial import for pclos

